dim tadrv2 as uinteger

sub mc1000vpokechr8x6(adrv as uinteger,chrv as uinteger,chmadr as uinteger):
  adrv=adrv mod 1024
  for i=0 to 5
    poke 32768+(i*32)+(adrv mod 32)+((int(adrv/32))*192),peek(chmadr+(chrv*6)+i)
    next
  end sub

sub mc1000vpcls8x6(chrv as uinteger,chmadr as uinteger):
  for tadrv2=0 to 1023
    for i=0 to 5
      poke 32768+(i*32)+(tadrv2 mod 32)+((int(tadrv2/32))*192),peek(chmadr+(chrv*6)+i)
      next
    next
  end sub

sub mc1000vpprint8x6(adrv1 as uinteger,chmadr2 as uinteger,textv$ as string):
  for tadrv2=0 to len(textv)
    mc1000vpokechr8x6(adrv1+tadrv2,val(textv$(tadrv2)),chmadr2)
    next
  end sub

sub mc1000vpprint8x6pk(adrv1 as uinteger,chmadr2 as uinteger,textad as uinteger, textsz as byte):
  for tadrv2=0 to textsz-1
    mc1000vpokechr8x6(adrv1+tadrv2,peek(textad+tadrv2),chmadr2)
    next
  end sub
